oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions for Intel oneAPI Toolkits, Intel Parallel Studio XE and Intel System Studio
730 Discussions

Getting a previous version of Intel Fortran compiler for Aspen Plus

InXoconochtli
Beginner
595 Views

I recently installed Aspen Plus V12 in my computer and need to use some of its more advanced features such as linking user subroutines to model more complex unit operations.

I've had mixed results on previous versions with using this feature, as linking the created subroutines can be notoriously tricky and poorly documented. However my current problem is the following:

In previous versions I used Intel Parallel Studio Xe and could select previous versions. Now with the Intel OneAPI suite I'm having trouble finding older versions. I installed the latest version, which is the 2021.3 for the HPC Toolkit, but Aspen has the following option as the most recent:

 

25 IVF191_VS16 ERROR Intel Fortran 19.1/2020 and VS 2019 WITH C++ (and community)

 

As you can read, it gives an error as it seems there is some incompatibility with the current Fortran compiler. It seems that the Intel Fortran 19.1 version was still in the Parallel Studio package. What is the current location to get it, or could I modify my installation to include this previous version? Do I have to uninstall the OneAPI suite and instead look for the appropiate Parallel Studio version?

Thanks for any help!

Labels (1)
0 Kudos
2 Replies
ArpanB_Intel
Moderator
553 Views

Hi Ottmar, we have contacted you privately for some information. Please check your inbox and respond us there as the information is non-public in nature.


ArpanB_Intel
Moderator
500 Views

Hi, we have not heard back from you.

 

This thread will no longer be monitored by Intel®. If you need any further assistance, please open a new thread by visiting: https://community.intel.com/t5/Registration-Download-Licensing/bd-p/registration-download-licensing-...


Reply